### Method

# Gtk Gestureget_device

#### Declaration [src]

    GdkDevice*
    gtk_gesture_get_device (
      GtkGesture* gesture
    )

#### Description [src]

Returns the logical `GdkDevice` that is currently operating on `gesture`.

This returns `NULL` if the gesture is not being interacted.

#### Return value

Type: `GdkDevice`

A `GdkDevice`

The data is owned by the instance.
The return value can be `NULL`.